OGRE-Next: Ogre::ConcentricShadowCamera Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ConcentricShadowCamera Class Reference
Core | Component » Scene

Implements the concentric shadow mapping algorithm. More...

`#include <OgreShadowCameraSetupConcentric.h>`

Inheritance diagram for Ogre::ConcentricShadowCamera:
[legend]

## Public Member Functions
| ConcentricShadowCamera ()
| Default constructor.
| ~ConcentricShadowCamera () override
| Default destructor.
void | getShadowCamera (const SceneManager *sm, const Camera *cam, const Light *light, Camera *texCam, size_t iteration, const Vector2 &viewportRealSize) const override
| Returns a uniform shadow camera with a focused view.
Public Member Functions inherited from Ogre::DefaultShadowCameraSetup
| DefaultShadowCameraSetup ()
| Default constructor.
| ~DefaultShadowCameraSetup () override
| Destructor.
void | getShadowCamera (const SceneManager *sm, const Camera *cam, const Light *light, Camera *texCam, size_t iteration, const Vector2 &viewportRealSize) const override
| Default shadow camera setup.
Public Member Functions inherited from Ogre::ShadowCameraSetup
| ShadowCameraSetup ()
virtual | ~ShadowCameraSetup ()
| Need virtual destructor in case subclasses use it.
Real | getMaxDistance () const
Real | getMinDistance () const

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::ShadowCameraSetup
static void | setUseEsm (bool useEsm)

## Detailed Description

Implements the concentric shadow mapping algorithm.

Remarks

## Constructor & Destructor Documentation

## ◆ ConcentricShadowCamera()

Ogre::ConcentricShadowCamera::ConcentricShadowCamera | ( |  | ) |

Default constructor.

Remarks
  Temporary frustum and camera set up here.

## ◆ ~ConcentricShadowCamera()

Ogre::ConcentricShadowCamera::~ConcentricShadowCamera | ( |  | ) |
| override

Default destructor.

Remarks
  Temporary frustum and camera destroyed here.

## Member Function Documentation

## ◆ getShadowCamera()

void Ogre::ConcentricShadowCamera::getShadowCamera | ( | const SceneManager * | sm,
|  | const Camera * | cam,
|  | const Light * | light,
|  | Camera * | texCam,
|  | size_t | iteration,
|  | const Vector2 & | viewportRealSize ) const
| overridevirtual

Returns a uniform shadow camera with a focused view.

Implements Ogre::ShadowCameraSetup.

The documentation for this class was generated from the following file:

- OgreShadowCameraSetupConcentric.h